summaryrefslogtreecommitdiff
path: root/aptly/aptly-publish.sh
diff options
context:
space:
mode:
Diffstat (limited to 'aptly/aptly-publish.sh')
-rwxr-xr-xaptly/aptly-publish.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/aptly/aptly-publish.sh b/aptly/aptly-publish.sh
new file mode 100755
index 0000000..07a986f
--- /dev/null
+++ b/aptly/aptly-publish.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -exou pipefail
+
+REPOROOT="${HOME}"/.aptly/public
+DATESTAMP=$(date -Iseconds)
+
+rm -rf "${HOME}"/garbagecollect
+mv "${REPOROOT}"/pool "${HOME}"/garbagecollect || true
+aptly repo drop --force taler-ci-snapshots || true
+aptly db cleanup
+aptly repo create -distribution=bookworm -component=main taler-ci-snapshots
+aptly repo add taler-ci-snapshots /home/aptbuilder/incoming/bookworm-taler-ci || true
+aptly snapshot create "taler-${DATESTAMP}" from repo taler-ci-snapshots
+aptly -gpg-provider="gpg2" publish -architectures="amd64,arm64" switch bookworm "taler-${DATESTAMP}"
+
+# Publish a list of all packages in the repo
+aptly repo show -with-packages taler-ci-snapshots > "${REPOROOT}"/packages.txt